# Visualization
TKService
Aspect

# Aspect_FontMapEntry Class Reference

This class defines a fontmap entry.
A fontmap entry is an association beetwen
a FontStyle object and an index in the fontmap.
.

`#include <Aspect_FontMapEntry.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_FontMapEntry ()
| Creates an unallocated fontmap entry .
Standard_EXPORT | Aspect_FontMapEntry (const Standard_Integer index, const Aspect_FontStyle &style)
| Creates an allocated fontmap entry .
Standard_EXPORT | Aspect_FontMapEntry (const Aspect_FontMapEntry &entry)
| Creates an allocated fontmap entry. Warning: Raises error if the fontmap entry <entry> is unallocated. .
Standard_EXPORT void | SetValue (const Standard_Integer index, const Aspect_FontStyle &style)
| Sets fontmap entry value and allocates it. .
Standard_EXPORT void | SetValue (const Aspect_FontMapEntry &entry)
| Sets fontmap entry value and allocates it. .
void | operator= (const Aspect_FontMapEntry &entry)
Standard_EXPORT void | SetType (const Aspect_FontStyle &Style)
| Sets the line style of fontmap entry. .
Standard_EXPORT const Aspect_FontStyle & | Type () const
Standard_EXPORT void | SetIndex (const Standard_Integer index)
| Sets index value of a fontmap entry. .
Standard_EXPORT Standard_Integer | Index () const
Standard_EXPORT void | Free ()
| Unallocates the fontmap entry. .
Standard_EXPORT Standard_Boolean | IsAllocated () const
| Returns True if the fontmap entry is allocated. Warning: A fontmap entry is allocated when the font and the index is defined. .
Standard_EXPORT void | Dump () const

## Private Attributes

Aspect_FontStyle | MyType
Standard_Integer | MyIndex
Standard_Boolean | MyTypeIsDef
Standard_Boolean | MyIndexIsDef

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_FontMapEntry::Aspect_FontMapEntry | ( |  | ) |

Standard_EXPORT Aspect_FontMapEntry::Aspect_FontMapEntry | ( | const Standard_Integer | index,
|  | const Aspect_FontStyle & | style
| ) |

Standard_EXPORT Aspect_FontMapEntry::Aspect_FontMapEntry | ( | const Aspect_FontMapEntry & | entry | ) |

## Member Function Documentation

Standard_EXPORT void Aspect_FontMapEntry::Dump | ( |  | ) | const

Standard_EXPORT void Aspect_FontMapEntry::Free | ( |  | ) |

Standard_EXPORT Standard_Integer Aspect_FontMapEntry::Index | ( |  | ) | const

Standard_EXPORT Standard_Boolean Aspect_FontMapEntry::IsAllocated | ( |  | ) | const

void Aspect_FontMapEntry::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_FontMapEntry::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_FontMapEntry::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Aspect_FontMapEntry::operator= | ( | const Aspect_FontMapEntry & | entry | ) | `[inline]`

Standard_EXPORT void Aspect_FontMapEntry::SetIndex | ( | const Standard_Integer | index | ) |

Standard_EXPORT void Aspect_FontMapEntry::SetType | ( | const Aspect_FontStyle & | Style | ) |

Standard_EXPORT void Aspect_FontMapEntry::SetValue | ( | const Aspect_FontMapEntry & | entry | ) |

Standard_EXPORT void Aspect_FontMapEntry::SetValue | ( | const Standard_Integer | index,
|  | const Aspect_FontStyle & | style
| ) |

Standard_EXPORT const Aspect_FontStyle& Aspect_FontMapEntry::Type | ( |  | ) | const

## Field Documentation

Standard_Integer Aspect_FontMapEntry::MyIndex `[private]`

Standard_Boolean Aspect_FontMapEntry::MyIndexIsDef `[private]`

Aspect_FontStyle Aspect_FontMapEntry::MyType `[private]`

Standard_Boolean Aspect_FontMapEntry::MyTypeIsDef `[private]`

The documentation for this class was generated from the following file:

- Aspect_FontMapEntry.hxx